• Index
  •  » Support
  •  » problem installing gcstar on Linux Mint 20

#1 2021-03-21 13:36:28

palmerdm
New member
Registered: 2021-03-21
Posts: 4

problem installing gcstar on Linux Mint 20

I get the following install errors:

GLib-LOG **: posix_spawn avoided (fd close requested)  at /usr/lib/x86_64-linux-gnu/perl5/5.30/Glib/Object/Introspection.pm line 67.
The databases in [/usr/local/share/applications] could not be updated.
Directory '/usr/local/share/mime/packages' does not exist!
Installing in /usr/local/

when I run gcstar I get (sample of messages):

GLib-LOG **: unsetenv() is not thread-safe and should not be used after threads are created at /usr/share/perl5/Gtk3.pm line 555.
(gcstar:113430): Gtk-WARNING **: 13:16:56.858: Theme parsing error: gtk.css:6:47: Not using units is deprecated. Assuming 'px'.
(gcstar:113430): Gtk-CRITICAL **: 13:16:57.181: gtk_list_store_get_value: assertion 'iter_is_valid (iter, list_store)' failed
(gcstar:113430): Gtk-CRITICAL **: 13:16:57.214: gtk_grid_attach: assertion 'height > 0' failed
(gcstar:113430): Gtk-CRITICAL **: 13:16:57.492: gtk_list_store_get_value: assertion 'iter_is_valid (iter, list_store)' failed

Can anyone help.
I can work on the command line.

David

Offline

 

#2 2021-03-22 18:06:39

kerenoc
Administrator
Registered: 2016-03-19
Posts: 376
Website

Re: problem installing gcstar on Linux Mint 20

Hello,

I just tested the latest versions of GCstar from the gitlab repo (Gtk2 from Test branch and Gtk3 from Gtk3 branch) on a fresh LinuxMint 20 livecd.

After installing the minimum dependencies libxml-simple-perl, libgtk3-simplelist-perl (for the Gtk3 version) and setting the language (LANG environment variable), GCstar was able to run (not without warnings though).

Which version are you trying to install?

Offline

 

#3 2021-03-23 09:29:29

palmerdm
New member
Registered: 2021-03-21
Posts: 4

Re: problem installing gcstar on Linux Mint 20

version 1.7.3 with gtk3
LANG is en_GB.UTF-8
libxml-simple-perl is 2.25-1
libgtk3-simplelist-perl is 0.18-1

Offline

 

#4 2021-03-23 18:59:42

kerenoc
Administrator
Registered: 2016-03-19
Posts: 376
Website

Re: problem installing gcstar on Linux Mint 20

From a clean Mint Mate 20.1 64bits (Linux mint 5.4.0-58-generic) with perl 5.30

Code:

sudo apt install libgtk3-simplelist-perl # 0.18-1
sudo apt install libxml-simple-perl  # 2.25-1
sudo apt install libjson-perl # 4.02000-2
sudo apt install libdatetime-format-strptime-perl # 1.7600-1
sudo apt install git
git clone https://gitlab.com/Kerenoc/GCstar.git
cd GCstar/gcstar
git checkout Gtk3
sudo ./install
export LANG=en-GB
gcstar

GCstar is working with the plugins I tested. But it doesn't appear in the applications' menu. It is associated with .gcs files though.

Offline

 

#5 2021-03-24 13:35:09

palmerdm
New member
Registered: 2021-03-21
Posts: 4

Re: problem installing gcstar on Linux Mint 20

gcstar
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = "en_GB:en",
    LC_ALL = (unset),
    LANG = "en-GB"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
GLib-LOG **: unsetenv() is not thread-safe and should not be used after threads are created at /usr/share/perl5/Gtk3.pm line 555.

(gcstar:171210): Gtk-WARNING **: 13:31:42.189: Theme parsing error: gtk.css:6:47: Not using units is deprecated. Assuming 'px'.
....
(gcstar:171210): Gtk-CRITICAL **: 13:31:42.511: gtk_list_store_get_value: assertion 'iter_is_valid (iter, list_store)' failed

(gcstar:171210): Gtk-CRITICAL **: 13:31:42.511: gtk_list_store_get_value: assertion 'iter_is_valid (iter, list_store)' failed
....
(gcstar:171210): Gtk-CRITICAL **: 13:31:42.544: gtk_grid_attach: assertion 'height > 0' failed
etc

Offline

 

#6 2021-03-24 22:16:00

kerenoc
Administrator
Registered: 2016-03-19
Posts: 376
Website

Re: problem installing gcstar on Linux Mint 20

I also get lots of warnings but gcstar launches fine. Could you please post the last ones before gcstar crashes?

Offline

 

#7 2021-03-25 09:58:48

palmerdm
New member
Registered: 2021-03-21
Posts: 4

Re: problem installing gcstar on Linux Mint 20

It seems to start up OK, apart from the messages. I haven't tried loading a collection yet.

Offline

 

#8 2021-03-27 14:34:02

BMHD
Member
Registered: 2009-01-08
Posts: 83

Re: problem installing gcstar on Linux Mint 20

Hello,
I don't speek english very well but I have the same problem with french GTK3.(A message was post for french users).
When give thumbnails in a book collection GCStar GTK3 don't store them, so when you re-open the collection you haven't images of your books.
GCStar GTK2 is ok.
Only thumbnails seem to be impacted. All other information are well stored.
I'm on Debian 10

Offline

 
  • Index
  •  » Support
  •  » problem installing gcstar on Linux Mint 20



Should you have a problem using GCstar, you can open a bug report or request some support on GCstar forums.